# Method: matters.update

- [HTTP request](https://developers.google.com/workspace/vault/reference/rest/v1/matters/update#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/vault/reference/rest/v1/matters/update#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/workspace/vault/reference/rest/v1/matters/update#body.request_body)
- [Response body](https://developers.google.com/workspace/vault/reference/rest/v1/matters/update#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/vault/reference/rest/v1/matters/update#body.aspect)
- [Try it!](https://developers.google.com/workspace/vault/reference/rest/v1/matters/update#try-it)

Updates the specified matter. This updates only the name and description of the matter, identified by matter ID. Changes to any other fields are ignored. Returns the default view of the matter.

### HTTP request

`PUT https://vault.googleapis.com/v1/matters/{matterId}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `matterId` | `string` The matter ID. |

### Request body

The request body contains an instance of `https://developers.google.com/workspace/vault/reference/rest/v1/matters#Matter`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/workspace/vault/reference/rest/v1/matters#Matter`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/ediscovery`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).